Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487998 - synchronize failed to put the local file to docker container
Summary: synchronize failed to put the local file to docker container
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-04 05:22 UTC by lnie
Modified: 2018-05-29 11:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:39:04 UTC
Type: Bug


Attachments (Terms of Use)
output (2.52 KB, text/plain)
2017-09-11 06:42 UTC, lnie
no flags Details

Description lnie 2017-09-04 05:22:14 UTC
Description of problem:
when the target is not container(machine,virtual or not),ansible works fine,
but when it's docker,ansible create the dir,but failed to put the localfile.

- hosts: all
  remote_user: root
  vars:
    local: false
  tasks:
    - name: Clean taskdir
      file:
        path: "{{ client_taskdir }}"
        state: absent
 
    - name: Create taskdir
      file:
        path: "{{ client_taskdir }}"
        state: directory
 
    - name: Upload taskdir
      synchronize:
        src: "{{ taskdir }}/"
        dest: "{{ client_taskdir }}"

Version-Release number of selected component (if applicable):
2.3.2.0-1.fc26

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Kevin Fenzi 2017-09-09 18:35:45 UTC
Do you get any errors?

What do you have those variables set to? (In particular client_taskdir)

Did this work in previous versions?

Comment 2 lnie 2017-09-11 06:41:13 UTC
(In reply to Kevin Fenzi from comment #1)
> Do you get any errors?
 Nope,I guess?I'm not very familiar with anisble.I have set "-vvv" and attached the log.

> What do you have those variables set to? (In particular client_taskdir)

 I'm running taskotron(https://pagure.io/taskotron/libtaskotron).
 the client_taskdir is set to the default:/var/tmp/taskotron/taskdir,
 taskdir:/var/lib/taskotron/artifacts/* 

> Did this work in previous versions?
  Not sure,we just start using ansible,and the oldest version I can tell is 
  ansible-2.3.1.0-1.fc26.

Comment 3 lnie 2017-09-11 06:42:30 UTC
Created attachment 1324345 [details]
output

Comment 4 Kevin Fenzi 2017-09-16 22:50:05 UTC
So with this config, the taskotron docker container is mounting /var/lib/taskotron/artifacts/ from the host and you are syncing into their on the host?

Also adding tflink as he knows taskotron setup...

Comment 5 Fedora End Of Life 2018-05-03 07:53:00 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:39:04 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.